Package org.silverpeas.components.yellowpages.model

## Class YellowPagesGroupDetail

- java.lang.Object
- - org.silverpeas.core.admin.user.model.GroupDetail
  - - org.silverpeas.components.yellowpages.model.YellowPagesGroupDetail

- All Implemented Interfaces:
    `Serializable`, `Comparable<org.silverpeas.core.admin.user.model.Group>`, `org.silverpeas.core.admin.user.model.Group`

      public class YellowPagesGroupDetail
      extends org.silverpeas.core.admin.user.model.GroupDetail
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `YellowPagesGroupDetail​(org.silverpeas.core.admin.user.model.Group group)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSubGroup​(YellowPagesGroupDetail group)` |
    `void` | `addUser​(org.silverpeas.core.admin.user.model.UserDetail user)` |
    `boolean` | `equals​(Object o)` |
    `List<org.silverpeas.core.admin.user.model.GroupDetail>` | `getSubGroups()` |
    `int` | `getTotalUsers()` |
    `List<org.silverpeas.core.admin.user.model.UserDetail>` | `getUsers()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class org.silverpeas.core.admin.user.model.GroupDetail

      `compareTo, getAllUsers, getCreationDate, getDescription, getDirectUsersCount, getDomainId, getId, getName, getOrganisationController, getRule, getSaveDate, getSpaceId, getSpecificId, getState, getStateSaveDate, getSuperGroupId, getTotalUsersCount, getUserIds, isCommunityGroup, isRemovedState, isRoot, isSynchronized, isValidState, setCreationDate, setDescription, setDomainId, setId, setName, setRule, setSaveDate, setSpaceId, setSpecificId, setState, setStateSaveDate, setSuperGroupId, setTotalNbUsers, setUserIds`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YellowPagesGroupDetail

          public YellowPagesGroupDetail​(org.silverpeas.core.admin.user.model.Group group)

  - ### Method Detail

    - #### addUser

          public void addUser​(org.silverpeas.core.admin.user.model.UserDetail user)

    - #### addSubGroup

          public void addSubGroup​(YellowPagesGroupDetail group)

    - #### getSubGroups

          public List<org.silverpeas.core.admin.user.model.GroupDetail> getSubGroups()

      Specified by:
        `getSubGroups` in interface `org.silverpeas.core.admin.user.model.Group`
      Overrides:
        `getSubGroups` in class `org.silverpeas.core.admin.user.model.GroupDetail`

    - #### getUsers

          public List<org.silverpeas.core.admin.user.model.UserDetail> getUsers()

      Specified by:
        `getUsers` in interface `org.silverpeas.core.admin.user.model.Group`
      Overrides:
        `getUsers` in class `org.silverpeas.core.admin.user.model.GroupDetail`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `org.silverpeas.core.admin.user.model.GroupDetail`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.admin.user.model.GroupDetail`

    - #### getTotalUsers

          public int getTotalUsers()